{% extends 'base.html.twig' %}

{% block title %}Hello DashboardController!
{% endblock %}

{% block stylesheets %}
	{{parent()}}
	<link rel="stylesheet" href="{{asset('assets/css/material-design-icons.min.css')}}">
{% endblock %}

{% block body %}
	{% set rssi = currentValues|filter(item => item.unit == 'dBm')|first|default(null) %}
	{% set voltage = currentValues|filter(item => item.unit == 'V')|first|default(null) %}
	{% set remainingValues = currentValues|filter(item => item.unit != 'V' and item.unit != 'dBm' )|default(null) %}
	<div class="app w-screen">
		<div class="w-full bg-hd-deep-teal">
			<div class="container mobile:w-screen desktop:max-w-desktop mx-auto bg-hd-deep-teal mobile:px-2">
				<nav class="h-[80px] flex">
					<div class="flex flex-row">
						{% if rssi %}
							<div class="flex flex-row items-center">
								<div class="text-xs bg-teal-800 text-white px-1 py-0.5">
									<span class="text-lg mdi mdi-signal-cellular-3"></span>
									<span class="pl-1 relative bottom-0.5">{{rssi.value}}</span>
								</div>
							</div>
						{% endif %}
						{% if voltage %}
							<div class="flex flex-row items-center ml-2">
								<div class="text-xs bg-teal-800 text-white px-1 py-0.5">
									<span class="text-lg mdi mdi-battery-50"></span>
									<span class="pl-1 relative bottom-0.5">{{voltage.value}}</span>
								</div>
							</div>
						{% endif %}
					</div>
					<div class="relative flex flex-col ml-auto group">
						<div class="-auto h-full p-8 hover:bg-gray-600 flex items-center text-white relative flex flex-col relative">
							{{location.name}}
							<span class="mdi mdi-chevron-down"></span>
						</div>
						<ul class="text-center hidden group-hover:block">
							{% for location in remaining_locations %}
								<li class="py-2 bg-hd-deeper-teal hover:bg-gray-600 text-white cursor-pointer">{{location.name}}</li>
							{% endfor %}
						</div>
					</div>
				</nav>
			</div>
			<div class="container desktop:max-w-desktop mx-auto">
				<div class="flex grid grid-flow-row-dense grid-cols-1 desktop:grid-cols-12 grid-rows-1 gap-4 mt-4">
					<div class='desktop:col-span-3'>

						{% include 'dashboard/currentdata.html.twig' with {'remainingValues': remainingValues} %}

					</div>
					<div
						class='desktop:col-span-4'>
						{# past dates values #}
						{% include 'dashboard/pastdates.html.twig' with {'previousData': previousData} %}
					</div>
					<div
						class='desktop:col-span-5'>
						{# Stats #}
						{% include 'dashboard/stats.html.twig' with {'statsData': statsData} %}
					</div>
				</div>
			</div>
			<div class="container desktop:max-w-desktop mx-auto mt-4 p-4 bg-hd-light-silver">
				<div class="grid flex grid-cols-1 desktop:grid-cols-3">
					<div>
						{% include 'dashboard/weather.html.twig' with {'weatherData': weatherData} %}
					</div>
					<div class="col-span-2">
						<div class="flex flex-col">
							<strong class="text-2xl uppercase">Dnes</strong>
							{% include 'dashboard/todayMinMaxData.html.twig' with {'todayMinMaxData': todayMinMaxData} %}
						</div>
					</div>
				</div>
			</div>
			<div class="container desktop:max-w-desktop mx-auto mt-4 p-4 bg-hd-light-silver">
				{{ render_chart(chart) }}
			</div>
		</div>
	</div>
</div>{% endblock %}{% block javascripts %}
{{parent()}}
<script type="module" src="{{asset('assets/js/hooks/useStorageLocation.js')}}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/es5-shim/4.5.14/es5-sham.min.js"></script>
<script src="{{asset('assets/js/functions/valueBackground.js')}}"></script>
<script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
<script>
	function jsGetColorForValue(data) {
const defaultColor = "#808080";
const type = data ?. domain;
const value = data.rawValue;
const mappings = meteo.functions.colorMappings[type];
if (! mappings) {
return "#808080";
}

const keys = Object.keys(mappings).map(Number).sort((a, b) => b - a);
const foundKey = keys.find((key) => value >= key);

return foundKey ? mappings[foundKey] : defaultColor;
}

$(document).ready(function () {
$('.js-current-value-box').each(function (item) {
var domain = $(this).data('domain');
var value = $(this).data('value');

var color = jsGetColorForValue({domain: domain, rawValue: value});
console.log(color);
$(this).css("background-color", color);
})
})
</script>
{# <script src="{{asset('assets/js/components/Rssi.js')}}"></script> #}
{# <script src="{{asset('assets/js/components/Voltage.js')}}"></script> #}
{# <script src="{{asset('assets/js/components/CurrentDataBoxData.js')}}"></script> #}<script src="{{asset('assets/js/functions/valueBackground.js')}}"> </script>{% endblock %}
